package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbHelpStatement extends MariadbStatementImpl {
   private SQLExpr content;

   public SQLExpr getContent() {
      return this.content;
   }

   public void setContent(SQLExpr content) {
      this.content = content;
   }

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.content);
      }

      visitor.endVisit(this);
   }
}
